org.codehaus.plexus.metadata.ann

## Class AnnEnum

- java.lang.Object
- - org.codehaus.plexus.metadata.ann.AnnEnum

    public class AnnEnum
    extends java.lang.Object

Author:
  Eugene Kuleshov

### Constructor Summary

Constructors
Constructor and Description
`AnnEnum(java.lang.String desc, java.lang.String value)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getDesc()`
`java.lang.String` `getType()`
`java.lang.String` `getValue()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnEnum

    public AnnEnum(java.lang.String desc,
           java.lang.String value)

### Method Detail

#### getDesc

    public java.lang.String getDesc()

#### getValue

    public java.lang.String getValue()

#### getType

    public java.lang.String getType()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`